xine-lib: xshm_frame_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xshm_frame_t Struct Reference

## Data Fields
vo_frame_t | vo_frame
int | format
int | flags
vo_scale_t | sc
uint8_t * | image
int | bytes_per_line
xcb_shm_seg_t | shmseg
yuv2rgb_t * | yuv2rgb
uint8_t * | rgb_dst
int | state
int | offs0
int | offs1
uint8_t * | crop_start
uint8_t * | crop_flush
uint8_t * | crop_stop
XImage * | image
XShmSegmentInfo | shminfo

## Field Documentation

## ◆ bytes_per_line

int xshm_frame_t::bytes_per_line

Referenced by create_ximage(), xshm_display_frame(), xshm_frame_field(), and xshm_frame_proc_setup().

## ◆ crop_flush

uint8_t * xshm_frame_t::crop_flush

Referenced by xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_frame_proc_slice(), and xshm_frame_proc_slice().

## ◆ crop_start

uint8_t * xshm_frame_t::crop_start

Referenced by xshm_frame_proc_setup(), and xshm_frame_proc_setup().

## ◆ crop_stop

uint8_t * xshm_frame_t::crop_stop

Referenced by xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_frame_proc_slice(), and xshm_frame_proc_slice().

## ◆ flags

int xshm_frame_t::flags

Referenced by xshm_update_frame_format(), and xshm_update_frame_format().

## ◆ format

int xshm_frame_t::format

Referenced by xshm_frame_proc_slice(), xshm_frame_proc_slice(), xshm_update_frame_format(), and xshm_update_frame_format().

## ◆ image [1/2]

uint8_t* xshm_frame_t::image

Referenced by create_ximage(), dispose_ximage(), xshm_display_frame(), xshm_display_frame(), xshm_frame_dispose(), xshm_frame_dispose(), xshm_frame_field(), xshm_frame_field(), xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_overlay_blend(), and xshm_overlay_blend().

## ◆ image [2/2]

XImage* xshm_frame_t::image

## ◆ offs0

int xshm_frame_t::offs0

Referenced by xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_frame_proc_slice(), and xshm_frame_proc_slice().

## ◆ offs1

int xshm_frame_t::offs1

Referenced by xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_frame_proc_slice(), and xshm_frame_proc_slice().

## ◆ rgb_dst

uint8_t * xshm_frame_t::rgb_dst

Referenced by xshm_frame_field(), xshm_frame_field(), xshm_frame_proc_slice(), and xshm_frame_proc_slice().

## ◆ sc

vo_scale_t xshm_frame_t::sc

Referenced by clean_output_area(), clean_output_area(), xshm_alloc_frame(), xshm_alloc_frame(), xshm_compute_ideal_size(), xshm_compute_ideal_size(), xshm_compute_rgb_size(), xshm_compute_rgb_size(), xshm_display_frame(), xshm_display_frame(), xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_overlay_blend(), xshm_overlay_blend(), xshm_update_frame_format(), and xshm_update_frame_format().

## ◆ shminfo

XShmSegmentInfo xshm_frame_t::shminfo

Referenced by xshm_frame_dispose(), and xshm_frame_proc_setup().

## ◆ shmseg

xcb_shm_seg_t xshm_frame_t::shmseg

Referenced by create_ximage(), dispose_ximage(), and xshm_display_frame().

## ◆ state

int xshm_frame_t::state

Referenced by xshm_display_frame(), xshm_display_frame(), xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_update_frame_format(), and xshm_update_frame_format().

## ◆ vo_frame

vo_frame_t xshm_frame_t::vo_frame

Referenced by xshm_alloc_frame(), xshm_alloc_frame(), xshm_compute_rgb_size(), xshm_compute_rgb_size(), xshm_display_frame(), xshm_display_frame(), xshm_frame_dispose(), xshm_frame_dispose(), xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_update_frame_format(), and xshm_update_frame_format().

## ◆ yuv2rgb

yuv2rgb_t * xshm_frame_t::yuv2rgb

Referenced by xshm_alloc_frame(), xshm_alloc_frame(), xshm_frame_dispose(), xshm_frame_dispose(), xshm_frame_field(), xshm_frame_field(), xshm_frame_proc_setup(), xshm_frame_proc_setup(), xshm_frame_proc_slice(), xshm_frame_proc_slice(), xshm_overlay_clut_yuv2rgb(), and xshm_overlay_clut_yuv2rgb().

The documentation for this struct was generated from the following files:

- xine-lib-1.2.13/src/video_out/video_out_xcbshm.c
- xine-lib-1.2.13/src/video_out/video_out_xshm.c